getNasVolumeInstanceList

Prev Next

Available in VPC

View the list of NAS volume instances.

Requests

The following describes the request format for the endpoint. The request format is as follows.

Method URI
GET | POST /vnas/v2/getNasVolumeInstanceList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all NAS (VPC) APIs, see NAS (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
zoneCode String Optional Zone code
nasVolumeInstanceNoList.N List[String] Optional NAS volume instance list
  • Check through the console or the getNasVolumeInstanceList
  • <Example> nasVolumeInstanceNoList.1=1234&nasVolumeInstanceNoList.2=2345
volumeName String Optional NAS volume name
volumeAllotmentProtocolTypeCode String Optional NAS volume allocation protocol type code
  • NFS | CIFS
    • NFS: It can be mounted on Linux servers such as CentOS and Ubuntu
    • CIFS: It can be mounted on Windows Servers
isEventConfiguration Boolean Optional Whether events are set
  • true | false
    • true: set
    • false: not set
isSnapshotConfiguration Boolean Optional Whether snapshots are set
  • true | false
    • true: set
    • false: not set
pageNo Integer Optional Page numbers in paged results
  • Page the result values using pageNo and pageSize
pageSize Integer Conditional Size of each page to display when paging
  • Required when entering pageNo
  • Page the result values using pageNo and pageSize
sortedBy String Optional Sorting target
  • nasVolumeInstanceNo | volumeName | volumeTotalSize
    • nasVolumeInstanceNo: NAS volume instance number
    • volumeName: volume name
    • volumeTotalSize: total volume size
sortingOrder String Optional Sort order
  • ASC (default) | DESC
    • ASC: ascending order
    • DESC: descending order
responseFormatType String Optional Format type of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vnas/v2/getNasVolumeInstanceList
?regionCode=KR
&zoneCode=KR-2
&isEventConfiguration=false
&isSnapshotConfiguration=false
&pageNo=1
&pageSize=2
&sortedBy=nasVolumeInstanceNo
&sortingOrder=ASC
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Responses

The following describes the response format.

Response body

See NasVolumeInstanceList for the response body.

Response status codes

For information about the HTTP status codes common to all NAS (VPC) APIs, see NAS (VPC) response status codes.

Response example

The following is a sample response.

{
    "getNasVolumeInstanceListResponse": {
        "totalRows": 1,
        "nasVolumeInstanceList": [
            {
                "nasVolumeInstanceNo": "23380000",
                "nasVolumeInstanceStatus": {
                    "code": "CREAT",
                    "codeName": "NAS create"
                },
                "nasVolumeInstanceOperation": {
                    "code": "NULL",
                    "codeName": "NAS NULL OP"
                },
                "nasVolumeInstanceStatusName": "created",
                "createDate": "2024-04-02T10:06:29+0900",
                "nasVolumeDescription": "",
                "mountInformation": "169.254.00.00:/n2768364_vn18e9c000000",
                "volumeAllotmentProtocolType": {
                    "code": "NFS",
                    "codeName": "NFS"
                },
                "volumeName": "n2768364_vn18e9c000000",
                "volumeTotalSize": 644245094400,
                "volumeSize": 644245094400,
                "snapshotVolumeConfigurationRatio": 0.0,
                "snapshotVolumeSize": 0,
                "isSnapshotConfiguration": false,
                "isEventConfiguration": false,
                "regionCode": "KR",
                "zoneCode": "KR-2",
                "nasVolumeServerInstanceNoList": [
                    "23320000"
                ],
                "isEncryptedVolume": false,
                "nasVolumeInstanceCustomIpList": [],
                "isReturnProtection": false
            }
        ],
        "requestId": "",
        "returnCode": "0",
        "returnMessage": "success"
    }
}